Sophie

Sophie

distrib > Mageia > 7 > i586 > by-pkgid > 9421c95e1cbfe8172e4812e04d8c0dba > deps

firefox-en_ZA-67.0.4-1.mga7.noarch.rpm

Dependencies

Provides

Requires

Obsoletes